Partners
API referenceEndpointsRedemption

Send the signed transaction

POST
/{redemptionId}/submit

Authorization

WalletSession
headerAuthorizationBearer <token>

Authorization: Bearer <accessToken> from POST /auth/verify. Proves control of one wallet for one hour. Used only by the Redemption endpoints, from the browser.

Path Parameters

redemptionId*integer
Range1 <= value

Request Body

application/json
  1. body
signedTransaction*string

Base64 of the fully signed transaction.

Response Body

The redemption. status is one of: label_created once paid and booked; paid_awaiting_label when payment confirmed but the DHL booking has not completed yet, in which case payment is complete and Verity completes the booking, so keep polling GET /redemptions/{redemptionId}; pending_payment when the chain has not confirmed yet, in which case poll GET /redemptions/{redemptionId}.

Example Request
curl -X POST 'https://api-staging.theverity.xyz/api/v1/redeem/1/submit' \  -H 'Authorization: Bearer <wallet_access_token>' \  -H 'Content-Type: application/json' \  -d '{  "signedTransaction": "string"}'
Example Response
Empty